# Uses of Class
org.apache.qpid.proton.framing.TransportFrame

Packages that use TransportFrame
Package
Description
org.apache.qpid.proton.engine.impl
org.apache.qpid.proton.logging

## Uses of TransportFrame in org.apache.qpid.proton.engine.impl

Methods in org.apache.qpid.proton.engine.impl with parameters of type TransportFrame
Modifier and Type
Method
Description
`boolean`
FrameHandler.`handleFrame(TransportFrame frame)`
`boolean`
TransportImpl.`handleFrame(TransportFrame frame)`
`void`
ProtocolTracer.`receivedFrame(TransportFrame transportFrame)`
`void`
ProtocolTracer.`sentFrame(TransportFrame transportFrame)`

## Uses of TransportFrame in org.apache.qpid.proton.logging

Methods in org.apache.qpid.proton.logging with parameters of type TransportFrame
Modifier and Type
Method
Description
`void`
LoggingProtocolTracer.`receivedFrame(TransportFrame transportFrame)`
`void`
LoggingProtocolTracer.`sentFrame(TransportFrame transportFrame)`